Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.schedule
Class RedeliverEventMessageComposer

    java.lang.Object
      org.jboss.soa.esb.schedule.RedeliverEventMessageComposer

All Implemented Interfaces:
  Initializable, ScheduledEventMessageComposer

    public class RedeliverEventMessageComposer

extends java.lang.Object
implements ScheduledEventMessageComposer

Author:
  kstam

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.ScheduledEventMessageComposer
`ScheduledEventMessageComposer.Factory`

Constructor Summary
`RedeliverEventMessageComposer()`

Method Summary
`Message` | `composeMessage()` Compose an ESB "aware" message.
`void` | `initialize(ConfigTree config)` Initialize.
`Message` | `onProcessingComplete(Message message)` Called by the `ScheduledEventListener` after processing of the `Message` has completed.
`void` | `uninitialize()` Uninitialize.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedeliverEventMessageComposer

    public RedeliverEventMessageComposer()

Method Detail

### composeMessage

    public Message composeMessage()
                           throws SchedulingException

  Description copied from interface: `ScheduledEventMessageComposer`
  Compose an ESB "aware" message.

  Called by the `ScheduledEventListener.onSchedule()` method.

  Specified by:
    `composeMessage` in interface `ScheduledEventMessageComposer`
  Returns:
    ESB aware message instance. If this method returns null the action pipeline will not be processed.
  Throws:
    `SchedulingException` - Failed to compose message on scheduled event.

### initialize

    public void initialize(ConfigTree config)
                    throws ConfigurationException

  Description copied from interface: `Initializable`
  Initialize.

  Specified by:
    `initialize` in interface `Initializable`
  Parameters:
    `config` - The configuration.
  Throws:
    `ConfigurationException`

### onProcessingComplete

    public Message onProcessingComplete(Message message)
                                 throws SchedulingException

  Description copied from interface: `ScheduledEventMessageComposer`
  Called by the `ScheduledEventListener` after processing of the `Message` has completed.

  This event can be used to perform any necessary cleanup processing for the `Message` instance etc.

  Specified by:
    `onProcessingComplete` in interface `ScheduledEventMessageComposer`
  Parameters:
    `message` - ESB aware message instance to be decomposed.
  Returns:
    ESB unaware message instance - a message payload.
  Throws:
    `SchedulingException` - Error while processing the onProcessingComplete event.

### uninitialize

    public void uninitialize()

  Description copied from interface: `Initializable`
  Uninitialize.

  Specified by:
    `uninitialize` in interface `Initializable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD